import { lazy } from "react";
import { lazyRetry } from "../utils/lazyRetry";
import {
  ROUTE_JAHAD_FILES_STATE,
  ROUTE_JAHAD_ILLEGALـKILLING,
  ROUTE_JAHAD_KILLS_STATS,
  ROUTE_JAHAD_PRICING,
} from "./routes";

const JahadKillStats = lazy(() =>
  lazyRetry(() => import("../pages/JahadKillStats"))
);

const JahadIllegalKilling = lazy(() =>
  lazyRetry(() => import("../pages/JahadIllegalKilling"))
);
const InspectorPricing = lazy(() =>
  lazyRetry(() => import("../pages/ProvinceManagePricing"))
);
const FilesState = lazy(() => lazyRetry(() => import("../pages/FilesState")));

export const jahadRouting = [
  {
    path: [ROUTE_JAHAD_KILLS_STATS],
    Page: JahadKillStats,
    exact: false,
    props: {},
  },
  {
    path: [ROUTE_JAHAD_ILLEGALـKILLING],
    Page: JahadIllegalKilling,
    exact: false,
    props: {},
  },
  {
    path: [ROUTE_JAHAD_PRICING],
    Page: InspectorPricing,
    exact: false,
    props: {},
  },
  {
    path: [ROUTE_JAHAD_FILES_STATE],
    Page: FilesState,
    exact: false,
    props: {},
  },
];
